roar_stream_connect(3)

NAME
roar_stream_connect - Connect a stream to RoarAudio's sound server

SYNOPSIS

#include <roaraudio.h>

int roar_stream_connect(struct roar_connection * con, struct roar_stream * s, int dir);

DESCRIPTION
This connects a new stream as created by roar_stream_new(3) to the server.

PARAMETERS

con The connection to the sound server

s   The stream object to connect.

dir The direction of the new stream. See roar_simple_stream(3) for details.

RETURN VALUE
On success these calls return 0. On error, -1 is returned.

EXAMPLES
FIXME

SEE ALSO
roar_stream_new(3), roar_simple_stream(3), libroar(7), RoarAudio(7).